Skip to main content
GET
List transactions

Authorizations

Authorization
string
header
required

Secret API key, e.g. sk_live_... or sk_test_....

Query Parameters

card_id
string
customer_id
string
status
enum<string>
Available options:
authorized,
declined,
reversed,
settled
currency
string

Three-letter ISO 4217 currency code.

Pattern: ^[A-Z]{3}$
Example:

"EUR"

created_gte
string<date-time>

Return transactions created at or after this time.

created_lt
string<date-time>

Return transactions created before this time.

limit
integer
default:20

Number of items to return.

Required range: 1 <= x <= 100
starting_after
string

Cursor from next_cursor of the previous page.

Response

OK.

object
enum<string>
required
read-only

Object type.

Available options:
list
data
object[]
required
has_more
boolean
required
next_cursor
string | null

Pass as starting_after to get the next page.